using SqlSugar;
using System.ComponentModel;
using Yitter.IdGenerator;

namespace BPA.MES.Base.Core
{
    /// <summary>
    /// 名    称 ：主键  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/3/2 13:59:33 
    /// 描    述 ：  
    /// </summary>
    public class DEntityBase
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        [SugarColumn(IsPrimaryKey = true)]
        public string Id { get; set; }
        public DEntityBase()
        {
            var b = YitIdHelper.NextId();
            Id = b.ToString();
        }
    }
}
